import * as z from 'zod';
export declare const patientCreateSchema: z.ZodObject<{
    firstName: z.ZodString;
    lastName: z.ZodString;
    dob: z.ZodString;
    genderAtBirth: z.ZodEnum<["F", "M", "O", "U"]>;
    addressLine1: z.ZodString;
    addressLine2: z.ZodOptional<z.ZodString>;
    city: z.ZodString;
    state: z.ZodUnion<[z.ZodEffects<z.ZodNativeEnum<{
        AL: import("@metriport/shared/domain/address/state").USState.AL;
        AK: import("@metriport/shared/domain/address/state").USState.AK;
        AZ: import("@metriport/shared/domain/address/state").USState.AZ;
        AR: import("@metriport/shared/domain/address/state").USState.AR;
        CA: import("@metriport/shared/domain/address/state").USState.CA;
        CO: import("@metriport/shared/domain/address/state").USState.CO;
        CT: import("@metriport/shared/domain/address/state").USState.CT;
        DE: import("@metriport/shared/domain/address/state").USState.DE;
        DC: import("@metriport/shared/domain/address/state").USState.DC;
        FL: import("@metriport/shared/domain/address/state").USState.FL;
        GA: import("@metriport/shared/domain/address/state").USState.GA;
        HI: import("@metriport/shared/domain/address/state").USState.HI;
        ID: import("@metriport/shared/domain/address/state").USState.ID;
        IL: import("@metriport/shared/domain/address/state").USState.IL;
        IN: import("@metriport/shared/domain/address/state").USState.IN;
        IA: import("@metriport/shared/domain/address/state").USState.IA;
        KS: import("@metriport/shared/domain/address/state").USState.KS;
        KY: import("@metriport/shared/domain/address/state").USState.KY;
        LA: import("@metriport/shared/domain/address/state").USState.LA;
        ME: import("@metriport/shared/domain/address/state").USState.ME;
        MD: import("@metriport/shared/domain/address/state").USState.MD;
        MA: import("@metriport/shared/domain/address/state").USState.MA;
        MI: import("@metriport/shared/domain/address/state").USState.MI;
        MN: import("@metriport/shared/domain/address/state").USState.MN;
        MS: import("@metriport/shared/domain/address/state").USState.MS;
        MO: import("@metriport/shared/domain/address/state").USState.MO;
        MT: import("@metriport/shared/domain/address/state").USState.MT;
        NE: import("@metriport/shared/domain/address/state").USState.NE;
        NV: import("@metriport/shared/domain/address/state").USState.NV;
        NH: import("@metriport/shared/domain/address/state").USState.NH;
        NJ: import("@metriport/shared/domain/address/state").USState.NJ;
        NM: import("@metriport/shared/domain/address/state").USState.NM;
        NY: import("@metriport/shared/domain/address/state").USState.NY;
        NC: import("@metriport/shared/domain/address/state").USState.NC;
        ND: import("@metriport/shared/domain/address/state").USState.ND;
        OH: import("@metriport/shared/domain/address/state").USState.OH;
        OK: import("@metriport/shared/domain/address/state").USState.OK;
        OR: import("@metriport/shared/domain/address/state").USState.OR;
        PA: import("@metriport/shared/domain/address/state").USState.PA;
        RI: import("@metriport/shared/domain/address/state").USState.RI;
        SC: import("@metriport/shared/domain/address/state").USState.SC;
        SD: import("@metriport/shared/domain/address/state").USState.SD;
        TN: import("@metriport/shared/domain/address/state").USState.TN;
        TX: import("@metriport/shared/domain/address/state").USState.TX;
        UT: import("@metriport/shared/domain/address/state").USState.UT;
        VT: import("@metriport/shared/domain/address/state").USState.VT;
        VA: import("@metriport/shared/domain/address/state").USState.VA;
        WA: import("@metriport/shared/domain/address/state").USState.WA;
        WV: import("@metriport/shared/domain/address/state").USState.WV;
        WI: import("@metriport/shared/domain/address/state").USState.WI;
        WY: import("@metriport/shared/domain/address/state").USState.WY;
    }>, import("@metriport/shared/domain/address/state").USState, unknown>, z.ZodEffects<z.ZodNativeEnum<typeof import("@metriport/shared/domain/address/territory").USTerritory>, import("@metriport/shared/domain/address/territory").USTerritory, unknown>]>;
    zip: z.ZodString;
    country: z.ZodDefault<z.ZodLiteral<"USA">>;
    driversLicenseState: z.ZodOptional<z.ZodString>;
    driversLicenseValue: z.ZodOptional<z.ZodString>;
    phone: z.ZodOptional<z.ZodString>;
    email: z.ZodEffects<z.ZodOptional<z.ZodString>, string | undefined, string | undefined>;
}, "strip", z.ZodTypeAny, {
    firstName: string;
    lastName: string;
    dob: string;
    city: string;
    country: "USA";
    state: import("@metriport/shared/domain/address/state").USState | import("@metriport/shared/domain/address/territory").USTerritory;
    zip: string;
    addressLine1: string;
    genderAtBirth: "M" | "F" | "O" | "U";
    email?: string | undefined;
    phone?: string | undefined;
    addressLine2?: string | undefined;
    driversLicenseValue?: string | undefined;
    driversLicenseState?: string | undefined;
}, {
    firstName: string;
    lastName: string;
    dob: string;
    city: string;
    zip: string;
    addressLine1: string;
    genderAtBirth: "M" | "F" | "O" | "U";
    email?: string | undefined;
    phone?: string | undefined;
    country?: "USA" | undefined;
    state?: unknown;
    addressLine2?: string | undefined;
    driversLicenseValue?: string | undefined;
    driversLicenseState?: string | undefined;
}>;
export type PatientCreate = z.infer<typeof patientCreateSchema>;
export declare const patientUpdateSchema: z.ZodObject<{
    id: z.ZodString;
} & {
    firstName: z.ZodString;
    lastName: z.ZodString;
    dob: z.ZodString;
    genderAtBirth: z.ZodEnum<["F", "M", "O", "U"]>;
    addressLine1: z.ZodString;
    addressLine2: z.ZodOptional<z.ZodString>;
    city: z.ZodString;
    state: z.ZodUnion<[z.ZodEffects<z.ZodNativeEnum<{
        AL: import("@metriport/shared/domain/address/state").USState.AL;
        AK: import("@metriport/shared/domain/address/state").USState.AK;
        AZ: import("@metriport/shared/domain/address/state").USState.AZ;
        AR: import("@metriport/shared/domain/address/state").USState.AR;
        CA: import("@metriport/shared/domain/address/state").USState.CA;
        CO: import("@metriport/shared/domain/address/state").USState.CO;
        CT: import("@metriport/shared/domain/address/state").USState.CT;
        DE: import("@metriport/shared/domain/address/state").USState.DE;
        DC: import("@metriport/shared/domain/address/state").USState.DC;
        FL: import("@metriport/shared/domain/address/state").USState.FL;
        GA: import("@metriport/shared/domain/address/state").USState.GA;
        HI: import("@metriport/shared/domain/address/state").USState.HI;
        ID: import("@metriport/shared/domain/address/state").USState.ID;
        IL: import("@metriport/shared/domain/address/state").USState.IL;
        IN: import("@metriport/shared/domain/address/state").USState.IN;
        IA: import("@metriport/shared/domain/address/state").USState.IA;
        KS: import("@metriport/shared/domain/address/state").USState.KS;
        KY: import("@metriport/shared/domain/address/state").USState.KY;
        LA: import("@metriport/shared/domain/address/state").USState.LA;
        ME: import("@metriport/shared/domain/address/state").USState.ME;
        MD: import("@metriport/shared/domain/address/state").USState.MD;
        MA: import("@metriport/shared/domain/address/state").USState.MA;
        MI: import("@metriport/shared/domain/address/state").USState.MI;
        MN: import("@metriport/shared/domain/address/state").USState.MN;
        MS: import("@metriport/shared/domain/address/state").USState.MS;
        MO: import("@metriport/shared/domain/address/state").USState.MO;
        MT: import("@metriport/shared/domain/address/state").USState.MT;
        NE: import("@metriport/shared/domain/address/state").USState.NE;
        NV: import("@metriport/shared/domain/address/state").USState.NV;
        NH: import("@metriport/shared/domain/address/state").USState.NH;
        NJ: import("@metriport/shared/domain/address/state").USState.NJ;
        NM: import("@metriport/shared/domain/address/state").USState.NM;
        NY: import("@metriport/shared/domain/address/state").USState.NY;
        NC: import("@metriport/shared/domain/address/state").USState.NC;
        ND: import("@metriport/shared/domain/address/state").USState.ND;
        OH: import("@metriport/shared/domain/address/state").USState.OH;
        OK: import("@metriport/shared/domain/address/state").USState.OK;
        OR: import("@metriport/shared/domain/address/state").USState.OR;
        PA: import("@metriport/shared/domain/address/state").USState.PA;
        RI: import("@metriport/shared/domain/address/state").USState.RI;
        SC: import("@metriport/shared/domain/address/state").USState.SC;
        SD: import("@metriport/shared/domain/address/state").USState.SD;
        TN: import("@metriport/shared/domain/address/state").USState.TN;
        TX: import("@metriport/shared/domain/address/state").USState.TX;
        UT: import("@metriport/shared/domain/address/state").USState.UT;
        VT: import("@metriport/shared/domain/address/state").USState.VT;
        VA: import("@metriport/shared/domain/address/state").USState.VA;
        WA: import("@metriport/shared/domain/address/state").USState.WA;
        WV: import("@metriport/shared/domain/address/state").USState.WV;
        WI: import("@metriport/shared/domain/address/state").USState.WI;
        WY: import("@metriport/shared/domain/address/state").USState.WY;
    }>, import("@metriport/shared/domain/address/state").USState, unknown>, z.ZodEffects<z.ZodNativeEnum<typeof import("@metriport/shared/domain/address/territory").USTerritory>, import("@metriport/shared/domain/address/territory").USTerritory, unknown>]>;
    zip: z.ZodString;
    country: z.ZodDefault<z.ZodLiteral<"USA">>;
    driversLicenseState: z.ZodOptional<z.ZodString>;
    driversLicenseValue: z.ZodOptional<z.ZodString>;
    phone: z.ZodOptional<z.ZodString>;
    email: z.ZodEffects<z.ZodOptional<z.ZodString>, string | undefined, string | undefined>;
}, "strip", z.ZodTypeAny, {
    firstName: string;
    lastName: string;
    dob: string;
    id: string;
    city: string;
    country: "USA";
    state: import("@metriport/shared/domain/address/state").USState | import("@metriport/shared/domain/address/territory").USTerritory;
    zip: string;
    addressLine1: string;
    genderAtBirth: "M" | "F" | "O" | "U";
    email?: string | undefined;
    phone?: string | undefined;
    addressLine2?: string | undefined;
    driversLicenseValue?: string | undefined;
    driversLicenseState?: string | undefined;
}, {
    firstName: string;
    lastName: string;
    dob: string;
    id: string;
    city: string;
    zip: string;
    addressLine1: string;
    genderAtBirth: "M" | "F" | "O" | "U";
    email?: string | undefined;
    phone?: string | undefined;
    country?: "USA" | undefined;
    state?: unknown;
    addressLine2?: string | undefined;
    driversLicenseValue?: string | undefined;
    driversLicenseState?: string | undefined;
}>;
